| TagLib 1.13 |  |

Public Member Functions | Static Public Member Functions | List of all members
TagLib::ID3v2::Footer Class Reference

ID3v2 footer implementation. More...

`#include <id3v2footer.h>`

## Public Member Functions
| Footer ()
virtual | ~Footer ()
ByteVector | render (const Header *header) const

## Static Public Member Functions
static unsigned int | size ()

## Detailed Description

ID3v2 footer implementation.

Per the ID3v2 specification, the tag's footer is just a copy of the information in the header. As such there is no API for reading the data from the header, it can just as easily be done from the header.

In fact, at this point, TagLib does not even parse the footer since it is not useful internally. However, if the flag to include a footer has been set in the ID3v2::Tag, TagLib will render a footer.

## Constructor & Destructor Documentation

## ◆ Footer()

TagLib::ID3v2::Footer::Footer | ( |  | ) |

Constructs an empty ID3v2 footer.

## ◆ ~Footer()

virtual TagLib::ID3v2::Footer::~Footer | ( |  | ) |
| virtual

Destroys the footer.

## Member Function Documentation

## ◆ render()

ByteVector TagLib::ID3v2::Footer::render | ( | const Header * | header | ) | const

Renders the footer based on the data in header.

## ◆ size()

static unsigned int TagLib::ID3v2::Footer::size | ( |  | ) |
| static

Returns the size of the footer. Presently this is always 10 bytes.

The documentation for this class was generated from the following file:

- id3v2footer.h